Subject: [PATCH 02/11] ARM: samsung: fix assembly syntax for new gas

From: [email-masked] (Arnd Bergmann)
Date: Sun, 17 Feb 2013 14:01:27 +0000

On Saturday 16 February 2013, Russell King - ARM Linux wrote:
> On Thu, Feb 14, 2013 at 02:49:18PM +0100, Arnd Bergmann wrote:
> > Recent assembler versions complain about extraneous
> > whitespace inside [] brackets. This fixes all of
> > these instances for the samsung platforms. We should
> > backport this to all kernels that might need to
> > be built with new binutils.
> 
> I hope that's also been reported as a bug to the binutils people.

No, I did not think of that. There were a lot of bug reports for
similar issues and I assumed that there was a good reason for
the change, but I agree that it sounds like a regression, especially
since the code that triggers the error should not be ambiguous and
there was never a warning about it.

	Arnd